Lucene search

K
cloudfoundryCloud FoundryCFOUNDRY:64D4C15163392A9C4210B029935460D1
HistorySep 07, 2021 - 12:00 a.m.

USN-5021-1: curl vulnerabilities | Cloud Foundry

2021-09-0700:00:00
Cloud Foundry
www.cloudfoundry.org
30

5.3 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

LOW

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

5 Medium

CVSS2

Access Vector

NETWORK

Access Complexity

LOW

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

NONE

Availability Impact

NONE

AV:N/AC:L/Au:N/C:P/I:N/A:N

0.003 Low

EPSS

Percentile

69.4%

Severity

Medium

Vendor

Canonical Ubuntu

Versions Affected

  • Canonical Ubuntu 18.04

Description

Harry Sintonen and Tomas Hoger discovered that curl incorrectly handled TELNET connections when the -t option was used on the command line. Uninitialized data possibly containing sensitive information could be sent to the remote server, contrary to expectations. (CVE-2021-22898, CVE-2021-22925)

Harry Sintonen discovered that curl incorrectly reused connections in the connection pool. This could result in curl reusing the wrong connections. (CVE-2021-22924)

CVEs contained in this USN include: CVE-2021-22898, CVE-2021-22925, CVE-2021-22924.

Affected Cloud Foundry Products and Versions

Severity is medium unless otherwise noted.

  • Bionic Stemcells
    • 1.x versions prior to 1.22
    • All other stemcells not listed.
  • cflinuxfs3
    • All versions prior to 0.250.0
  • CF Deployment
    • All versions prior to 16.22.0

Mitigation

Users of affected products are strongly encouraged to follow the mitigations below. The Cloud Foundry project recommends upgrading the following releases:

  • Bionic Stemcells
    • Upgrade 1.x versions to 1.22 or greater
    • All other stemcells should be upgraded to the latest version available on bosh.io.
  • cflinuxfs3
    • Upgrade all versions to 0.250.0 or greater
  • CF Deployment
    • Upgrade all versions to 16.22.0 or greater

References

History

2021-09-03: Initial vulnerability report published.

5.3 Medium

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

LOW

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

5 Medium

CVSS2

Access Vector

NETWORK

Access Complexity

LOW

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

NONE

Availability Impact

NONE

AV:N/AC:L/Au:N/C:P/I:N/A:N

0.003 Low

EPSS

Percentile

69.4%